package com.gree.mall.miniapp.enums.workorder;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作明细类型
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum OrderOperatorLogTypeEnum implements BaseEnum {

    QITA("其他","其他"),
    WORKER("指派师傅","指派师傅"),
    GP("派工","派工"),
    YUYUE("用户预约","用户预约"),
    GAIYUE("改约","改约"),
    YCFK("异常反馈","异常反馈"),
    WGFK("完工反馈","完工反馈"),
    HUIFANG("回访","回访"),
    FEIYONG("费用申请单","费用申请单"),
    FEIYONGEX("费用申请单审核","费用申请单审核"),
    ;


    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
